## evopedia 0.4.2

=== Makefile ===
#############################################################################
# Makefile for building: evopedia
# Generated by qmake (2.01a) (Qt 4.7.0) on: Sun Nov 21 18:23:21 2010
# Project:  evopedia.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile evopedia.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DUSE_MOBILITY -DQT_NO_CAST_TO_ASCII -DQT_NO_CAST_FROM_BYTEARRAY -DDATADIR=\"/usr/local/share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtNetwork -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include -I/targets/FREMANTLE_X86/usr/include/QtLocation -Isrc -I/targets/FREMANTLE_X86/usr/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lbz2 -L/usr/lib -lQtLocation -lQtGui -L/usr/X11R6/lib -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = src/mainwindow.cpp \
		src/localarchive.cpp \
		src/title.cpp \
		src/titleiterator.cpp \
		src/titlelistmodel.cpp \
		src/evopedia.cpp \
		src/bzreader.cpp \
		src/evopediawebserver.cpp \
		src/utils.cpp \
		src/archive.cpp \
		src/downloadablearchive.cpp \
		src/partialarchive.cpp \
		src/map.cpp \
		src/flickable.cpp \
		src/dumpsettings.cpp \
		src/mapwindow.cpp \
		src/flickablemap.cpp \
		src/evopediaapplication.cpp \
		src/archivemanager.cpp \
		src/archivelist.cpp \
		src/tilefetcher.cpp \
		src/torrent/bencodeparser.cpp \
		src/torrent/connectionmanager.cpp \
		src/torrent/filemanager.cpp \
		src/torrent/metainfo.cpp \
		src/torrent/peerwireclient.cpp \
		src/torrent/ratecontroller.cpp \
		src/torrent/torrentclient.cpp \
		src/torrent/torrentserver.cpp \
		src/torrent/trackerclient.cpp moc_mainwindow.cpp \
		moc_localarchive.cpp \
		moc_titlelistmodel.cpp \
		moc_evopedia.cpp \
		moc_evopediawebserver.cpp \
		moc_archive.cpp \
		moc_downloadablearchive.cpp \
		moc_partialarchive.cpp \
		moc_map.cpp \
		moc_dumpsettings.cpp \
		moc_mapwindow.cpp \
		moc_flickablemap.cpp \
		moc_evopediaapplication.cpp \
		moc_archivemanager.cpp \
		moc_archivelist.cpp \
		moc_tilefetcher.cpp \
		moc_filemanager.cpp \
		moc_peerwireclient.cpp \
		moc_ratecontroller.cpp \
		moc_torrentclient.cpp \
		moc_torrentserver.cpp \
		moc_trackerclient.cpp \
		qrc_resources.cpp \
		qrc_icons.cpp
OBJECTS       = mainwindow.o \
		localarchive.o \
		title.o \
		titleiterator.o \
		titlelistmodel.o \
		evopedia.o \
		bzreader.o \
		evopediawebserver.o \
		utils.o \
		archive.o \
		downloadablearchive.o \
		partialarchive.o \
		map.o \
		flickable.o \
		dumpsettings.o \
		mapwindow.o \
		flickablemap.o \
		evopediaapplication.o \
		archivemanager.o \
		archivelist.o \
		tilefetcher.o \
		bencodeparser.o \
		connectionmanager.o \
		filemanager.o \
		metainfo.o \
		peerwireclient.o \
		ratecontroller.o \
		torrentclient.o \
		torrentserver.o \
		trackerclient.o \
		moc_mainwindow.o \
		moc_localarchive.o \
		moc_titlelistmodel.o \
		moc_evopedia.o \
		moc_evopediawebserver.o \
		moc_archive.o \
		moc_downloadablearchive.o \
		moc_partialarchive.o \
		moc_map.o \
		moc_dumpsettings.o \
		moc_mapwindow.o \
		moc_flickablemap.o \
		moc_evopediaapplication.o \
		moc_archivemanager.o \
		moc_archivelist.o \
		moc_tilefetcher.o \
		moc_filemanager.o \
		moc_peerwireclient.o \
		moc_ratecontroller.o \
		moc_torrentclient.o \
		moc_torrentserver.o \
		moc_trackerclient.o \
		qrc_resources.o \
		qrc_icons.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		src.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/mobility.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		evopedia.pro
QMAKE_TARGET  = evopedia
DESTDIR       = 
TARGET        = evopedia

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h ui_dumpSettings.h ui_mapwindow.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: evopedia.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		src.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/mobility.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtNetwork.prl
	$(QMAKE) -o Makefile evopedia.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
src.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/mobility.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile evopedia.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/evopedia1.0.0 || $(MKDIR) .tmp/evopedia1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/evopedia1.0.0/ && $(COPY_FILE) --parents src/mainwindow.h src/localarchive.h src/title.h src/titlelistmodel.h src/titleiterator.h src/evopedia.h src/bzreader.h src/evopediawebserver.h src/utils.h src/archive.h src/downloadablearchive.h src/partialarchive.h src/map.h src/geotitle.h src/flickable.h src/dumpsettings.h src/mapwindow.h src/flickablemap.h src/evopediaapplication.h src/defines.h src/archivemanager.h src/archivelist.h src/tilefetcher.h src/torrent/bencodeparser.h src/torrent/connectionmanager.h src/torrent/filemanager.h src/torrent/metainfo.h src/torrent/peerwireclient.h src/torrent/ratecontroller.h src/torrent/torrentclient.h src/torrent/torrentserver.h src/torrent/trackerclient.h .tmp/evopedia1.0.0/ && $(COPY_FILE) --parents src/resources.qrc src/torrent/icons.qrc .tmp/evopedia1.0.0/ && $(COPY_FILE) --parents src/mainwindow.cpp src/localarchive.cpp src/title.cpp src/titleiterator.cpp src/titlelistmodel.cpp src/evopedia.cpp src/bzreader.cpp src/evopediawebserver.cpp src/utils.cpp src/archive.cpp src/downloadablearchive.cpp src/partialarchive.cpp src/map.cpp src/flickable.cpp src/dumpsettings.cpp src/mapwindow.cpp src/flickablemap.cpp src/evopediaapplication.cpp src/archivemanager.cpp src/archivelist.cpp src/tilefetcher.cpp src/torrent/bencodeparser.cpp src/torrent/connectionmanager.cpp src/torrent/filemanager.cpp src/torrent/metainfo.cpp src/torrent/peerwireclient.cpp src/torrent/ratecontroller.cpp src/torrent/torrentclient.cpp src/torrent/torrentserver.cpp src/torrent/trackerclient.cpp .tmp/evopedia1.0.0/ && $(COPY_FILE) --parents src/mainwindow.ui src/dumpSettings.ui src/mapwindow.ui .tmp/evopedia1.0.0/ && $(COPY_FILE) --parents src/tr/evopedia_de.ts src/tr/evopedia_fr.ts src/tr/evopedia_es.ts src/tr/evopedia_en.ts .tmp/evopedia1.0.0/ && (cd `dirname .tmp/evopedia1.0.0` && $(TAR) evopedia1.0.0.tar evopedia1.0.0 && $(COMPRESS) evopedia1.0.0.tar) && $(MOVE) `dirname .tmp/evopedia1.0.0`/evopedia1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/evopedia1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)

## evopedia 0.2.3-r2

=== debian/changelog ===
evopedia (0.2.3-r2) unstable; urgency=low

  * Initial release

 -- Christian Reitwiessner <chirstian@exinto.de>  Tue, 22 Dec 2009 00:13:04 +0100

=== debian/control ===
Source: evopedia
Section: user/education
Priority: optional
Maintainer: Christian Reitwiessner <christian@reitwiessner.de>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2.2

Package: evopedia
Architecture: any
Depends: squashfs-module
Description: Evopedia is an offline Wikipedia reader.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

build:
	dh_testdir

clean: 
	dh_testdir
	#dh_testroot
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_install static/* usr/lib/evopedia/static/
	dh_install evopedia.py usr/bin/
	dh_install evopedia_gui.sh usr/bin/
	dh_install evopedia.conf etc
	dh_install wikipedia.png usr/share/pixmaps/
	dh_install evopedia.desktop usr/share/applications/hildon/
	dh_install evopedia etc/event.d

# XXX maemo optify

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir 
	dh_testroot 
	#dh_installchangelogs  
	dh_link 
	dh_compress 
	dh_fixperms 
	dh_installdeb 
	dh_gencontrol 
	dh_md5sums 
	dh_builddeb 

binary-indep: install

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install

## evopedia 0.2.99%2b0.3rc1

=== debian/changelog ===
evopedia (0.2.99+0.3rc1) UNRELEASED; urgency=low

  [ Christian Reitwiessner ]
  * Replaced storage engine (removed squashfs dependency).
  * Web interface to change wikipedia data files.
  * Search is automatically performed when search page is loaded

  [ Johannes Lötzsch ]
  * give searchquery as get-variable
  * Added link to original Wikipedia article.
  * Save downloaded maptiles for further use

  [ Adam Schmalhofer ]
  * PEP 8 formatting
  * packaging

 -- Christian Reitwiessner <christian@exinto.de>  Fri, 08 Jan 2010 19:47:37 +0100

=== debian/rules ===
--- 
+++ 
@@ -14,14 +14,12 @@
 	dh_testroot
 	dh_clean -k
 	dh_install static/* usr/lib/evopedia/static/
-	dh_install evopedia.py usr/bin/
-	dh_install evopedia_gui.sh usr/bin/
-	dh_install evopedia.conf etc
+	dh_install evopedia.py usr/lib/evopedia/
+	dh_install evopediautils.py usr/lib/evopedia/
+	dh_install datafile_storage.py usr/lib/evopedia/
+	dh_install evopedia.sh usr/bin/
 	dh_install wikipedia.png usr/share/pixmaps/
 	dh_install evopedia.desktop usr/share/applications/hildon/
-	dh_install evopedia etc/event.d
-
-# XXX maemo optify
 
 # Build architecture-dependent files here.
 binary-arch: install
@@ -33,6 +31,7 @@
 	dh_fixperms 
 	dh_installdeb 
 	dh_gencontrol 
+	maemo-optify
 	dh_md5sums 
 	dh_builddeb

## evopedia 0.2.99%2b3.0rc2

=== debian/changelog ===
evopedia (0.2.99+3.0rc2) UNRELEASED; urgency=low

  [ Johannes Lötzsch ]
  * Added link to original Wikipedia article.
  * Save downloaded maptiles for further use.
  * Search term in HTTP query string.
  * Guess zoom level for links from articles to map.

  [ Christian Reitwießner ]
  * Various bugfixes.
  * Web interface to change the wikipedia data files.
  * Configuration file in home directory.
  * GPS in Maemo.
  * Server shutdown link.
  * Moved most of the code to Python module.
  * Dumper: Added HTML tidier tidy and geshi syntax highlighting.
  * Dumper: Adaption to new format.

 -- Christian Reitwiessner <christian@exinto.de>  Sat, 30 Jan 2010 18:14:00 +0100

=== debian/control ===
Source: evopedia
Section: user/education
Priority: optional
Maintainer: Christian Reitwiessner <christian@exinto.de>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2.2

Package: evopedia
Architecture: any
Depends: python
Description: Evopedia is an offline Wikipedia reader.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAQAAAD9CzEMAAAAAXNSR0IArs4c
 6QAACWJJREFUWMPt12twXdV1B/Dfvg9dSbYkS5aR5beReVp1DBRDGUxaSJik
 EKCdNhTcwUmmIUMhmUxm8qlMJg2UJMOkJekkTaEvaNNAQksoJWRiGJiCQ8BA
 sTFg/MI2tmRZkvW6V1f33nPO7gcL8SikTD/1Q9eXs2avOf//XnutvfZavIdM
 GQQPLb5i5Vurh+a0H9s5p8f8jwontMPvBSV4H4m9vrj1Dze1P7yqf/St1ep5
 2845cu81x2H31eV1T7T1Lm1Ou/9k4x4+6UcfhGBEtMjBj++475G2e/T/wy8/
 DcMW4a7u1qMb8/9xx2mPta2sXm9djDscdH74xfQZ32/5/pV7dur/IB6Md5Vv
 q33up+7a2/K1Z/6Ru23GsdOH1rQu+vldV+WPil52npFYChVT/i62h4vky/nf
 2fTo4y5Q+lUExw0UFz5Sv+QkI/Hsl2+88KsTP3TNibj8cObqonz4cewLB/zC
 tRaqyJvS7G/9rmmT4yv6P3KECR1vQ8y9pTbwN7klXypc3BKTeFXoevSrE1Rm
 rW+UZ8Kd4blYDGdK3GKbZvNNSY24yl7NcX7Hq9v/pf+hlg7feD8PxhYf/sbi
 TYVCI349PPDE6x8LtYddNmu77oIDD774F1f33fKZf7PGyYKaxFGLVESTUlOx
 GmoD5e1fuirU38IsvKnUDBWTO07/pBDjRHi0+uB9z7SoXebV1i1/2jh93afC
 rtod+/6gt69k3FojUi1Y7AUb7DItaA/lWFyS7/3292rXj2ZL3unBjGbj1zXu
 TuR1moo/Cx928d27Pre1eefHBu9tqpW2J+s+3HymMfPigZDXYswC1FTtdrrE
 qGbHFA1Iq80f/fzWx1zyziNKF6f7trdW44qwXBDjt8I/TW7aU2+zJDdPIO/y
 2BsymWMmrDBlRE5OUbDPWoNmJJ6zIM4Pb7xx26qQvS3ICWb+fKh1dTwlrJRz
 uVPCnfHS9sY5uVNPwBNUQyaRKcqhxXKLdSrJ6fOidkXBCs+Gcuxd/s1vMvAW
 QUF1be3jHVHoxi896lOuD50nPAuJLuucb0DVlAmsEjXhuNdEhxw3TxCkXndc
 MZTj5LX3LVny9iDXPjF/wWhskii4x9nyUlFAn0vMk0k1PO1i06KCsiccdq3X
 TWmxUJuqoMk5zjCtJus98Ft+MEfQCMc2BbmQaIjO89suMt9PPK7XlKIoCOab
 konqvmO5Lq84pEOXfboNCrrUBDl5QqfG5viD8OYRVfta+/MW6pATXORS86S+
 LZPTKy/nuDEVmaKo6EbRv/qMhyyXWOOopUpGNMshKkmVL3m+fS6LZv66fv1Q
 bAlLRDn79GoSzJjUKa/muAltxi2TymQyOfu061CRSqXqMjtssENNyXFFe23Y
 uPmpJ094MNLf6rvh5yYMGZQpKXjcs2Zs84K8qnm6LDX2ZilXt1rmoDFvyIki
 5hvTbYFMXiFmXryYjScIOtYnNlugrF2bFaLUKs875FwPe0Kno4btNmO3nAgO
 aFhioaO6kDOIDnWpulb7Q5SdO5em4y0xPmybIlJRJrHGQX1SXcra9QjWWmZM
 DVHesCAKMkOOOKJbq1F5dS32GTQhnjNH0BRzYbMbtRs2PftrYo0bjduvQ2qh
 Dg01K4yLosyH7NSt7myJxRaL2u1V062h2YR5aj0D+dkgD6TF3FFdThLUZ3ce
 jGuXKalKpFKkBrQqmTHquHUqohlVBYmGhiElqbph48qSbG3H58uFE498j9Mc
 kAoKZgR5iQVSqaqyUUGGnCEnm5DTY7mGg4bN2O58q2QyHSaVNSlqko9NdsXZ
 I2o3KFFXkzcj2uklr3nJkGDIbsssski3habN16VdTt2wx3Q5zR4HZDKpVFGH
 mobU/DAVb5+ZKxVrNPQ56oi6Xp2i1FFBpk3eEYtEmbwoQ1VFzjIvWu8xX/aT
 udQoGpdK5dR1TLamsx5Ujo6KcnqdrEdUV5MZNWXAAXnzRVGU6HHIfuNavGLG
 J3zP78v5TZlUlMx+g05VhWfnsqh7W4rtBiSoy5A5VY8Op1ijSSoTpVaYZ7Ue
 Od2mdfqKvCbds9ZgQIuSaQfjU5pemit2lfsPX/l03Bs2WqjZpCOY0udpeTU1
 r7pEnyiT6nJAlFNTsN6kcZmqspWmTWtVVZd4LvRY/bM5D+Y9sqJxUujUhuAk
 S62Qqljs63ZILXJUkIpyXtKkV4fV6iZUdGg1qN/LyhYIDmuVKVs+tnErT8pR
 tWC0seU0v26eVFTximEVRa36XeEZ/QaNzd7yw/o0BJlo2pCcxCL7rdBsTEWP
 YXVnWfTgmplXTtSiKmb+eTjtjg2ZaNAyTU5V0GuTLtfqslFhNlOy2dJ24jFv
 l5eYr8W0qrpMzYRaLNY77ufMuXKtsWjvNivzsSfkDSjplM6WhDgLm0lRs0OH
 DlOmRUsEZXVVjzvDlF/zolZHYiWUXvnLDQcrq94McjPDB76TfKvFhKjgkBrM
 3s6gYVTJjETRWlXHLBc1VA16ClNWek2XCS2g1dm3hsp/6+yefWHPWRfE5lAX
 jeue3fGAZUZULFSafVwyO603IZOoKMuhbI8eqRFL486w+Ke3Xvau3jRF73Xb
 p+4Oz2tI1VRkgh16VbVJlGfDOqMqryCRaMhpFtRkVktUdNobmkZO+Sz1dxLk
 jVu+85qvbZCL29Qcm7367V7WMCYa9bL96lKpk43KZilqKqKKvFQQY9T/xc0D
 OzW9d/v+7INDV9Qs16s+G+YtppR0qsqbcZEZU0Z1iRINk0pyjpnUYtSEqvV/
 9oWbvXf7XsGGK3vu7FWIh+KACYnUUqkFShYYs95eY0rmGVRQl6galakJhuNk
 TPXd/oWbef392veDVpos7L5t+sutinEktGmSqksFCYJMpi7zlEvtl5NTVjWt
 Eiuh7Nybb7gtxFed8T8Ngds+Xb49LmwIsRTCbIeXqUs1nMix5SYkptTUVGM1
 VE0PfeiGmx74qC3vwsq9G3yXLc79+6aLwv1BEhqR6A1V046Z0qSAqgkTaoaU
 VOJMqDnpnlMvvOmBW33lg42x/+ksPPGRie8mp+RlgYIs5kNOWSKRqMYYqoKx
 2Gzgpf4/vmnrZ53njz74nPy8cxD9++XDv9fyG9N9pXwUpdJZgiFLDSW1vXFr
 8323bOE+V7/PvP2+gzhPuRCHcls7rMifO7mxfnqyqN5WjNNTYSjb1fpk/bn6
 4QsmLs74Kzf4X8vWX2m91//L/335L/nZXtcEiFqSAAAAAElFTkSuQmCC

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 	dh_clean -k
 	dh_install static/* usr/lib/evopedia/static/
 	dh_install evopedia.py usr/lib/evopedia/
+	dh_install evopedia_starter.py usr/lib/evopedia/
 	dh_install evopediautils.py usr/lib/evopedia/
 	dh_install datafile_storage.py usr/lib/evopedia/
 	dh_install evopedia.sh usr/bin/

## evopedia 0.2.99%2b3.0rc3

=== debian/changelog ===
evopedia (0.2.99+3.0rc3) UNRELEASED; urgency=low

  [ Christian Reitwießner ]
  * GPS usage optimized
  * math images feature for packager and software
  * adjust zoom when going to current GPS position

 -- Christian Reitwiessner <christian@exinto.de>  Fri, 08 Jan 2010 19:47:37 +0100

evopedia (0.2.99+3.0rc2-1) UNRELEASED; urgency=low

  [ Adam Schmalhofer ]
  * Packaging, distutils

  [ Christian Reitwießner ]
  * Coordinates not parsed by the php dumper anymore but by the python scripts

 -- Adam Schmalhofer <Adam.Schmalhofer@gmx.de>  Fri, 5 Feb 2010 20:00:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,26 @@
 Source: evopedia
 Section: user/education
-Priority: optional
+Priority: extra
 Maintainer: Christian Reitwiessner <christian@exinto.de>
-Build-Depends: debhelper (>= 5)
+Build-Depends: debhelper7, python-support, python-all
 Standards-Version: 3.7.2.2
+Homepage: http://www.reitwiessner.de/openmoko/evopedia.html
 
 Package: evopedia
-Architecture: any
-Depends: python
-Description: Evopedia is an offline Wikipedia reader.
+Architecture: all
+Depends: ${python:Depends}, ${misc:Depends}, dbus
+Suggests: pyton-location
+XB-Python-Version: ${python:Versions}
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=evopedia
+Description: Offline Wikipedia Viewer.
+ Evopedia uses compressed dumps of Wikipedia for offline use
+ especially on embedded devices.
+ .
+ The geographical data in the articles is used to display a map of these
+ articles. This map automagically uses your saved tiles from maep if you
+ are offline and Openstreetmap tiles if you are online. The images on Wikipedia
+ are not contained in the dump but if you are connected to the internet, they
+ are nevertheless shown.
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAQAAAD9CzEMAAAAAXNSR0IArs4c
  6QAACWJJREFUWMPt12twXdV1B/Dfvg9dSbYkS5aR5beReVp1DBRDGUxaSJik

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
export PATH
SBOX_REDIRECT_IGNORE=/usr/bin/perl
SBOX_REDIRECT_IGNORE := /usr/bin/python
export SBOX_REDIRECT_IGNORE

%:
	dh $@

## evopedia 0.2.99%2b3.0rc3-maemo1

=== debian/changelog ===
evopedia (0.2.99+3.0rc3-maemo1) UNRELEASED; urgency=low

  [ Christian Reitwießner ]
  * GPS usage optimized
  * math images feature for packager and software
  * adjust zoom when going to current GPS position

 -- Christian Reitwiessner <christian@exinto.de>  Fri, 08 Jan 2010 19:47:37 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: evopedia
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, dbus
+Depends: ${python:Depends}, ${misc:Depends}, dbus, python
 Suggests: pyton-location
 XB-Python-Version: ${python:Versions}
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=evopedia

## evopedia 0.3.0

=== debian/changelog ===
evopedia (0.3.0) UNRELEASED; urgency=low

  * Support for languages with non-latin alphabet.

 -- Christian Reitwiessner <christian@exinto.de>  Thu, 08 Apr 2010 19:47:37 +0200

evopedia (0.2.99+0.3rc3) UNRELEASED; urgency=low

  [ Christian Reitwießner ]
  * GPS usage optimized
  * math images feature for packager and software
  * adjust zoom when going to current GPS position

 -- Christian Reitwiessner <christian@exinto.de>  Fri, 08 Jan 2010 19:47:37 +0100

evopedia (0.2.99+0.3rc2-1) UNRELEASED; urgency=low

  [ Adam Schmalhofer ]
  * Packaging, distutils

  [ Christian Reitwießner ]
  * Coordinates not parsed by the php dumper anymore but by the python scripts

 -- Adam Schmalhofer <Adam.Schmalhofer@gmx.de>  Fri, 5 Feb 2010 20:00:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,27 @@
 Source: evopedia
 Section: user/education
 Priority: extra
-Maintainer: Christian Reitwiessner <christian@exinto.de>
-Build-Depends: debhelper7, python-support, python-all
-Standards-Version: 3.7.2.2
+Maintainer: Adam Schmalhofer <Adam.Schmalhofer@gmx.de>
+Build-Depends: debhelper7, python-support, python-all, quilt
+Standards-Version: 3.8.4
+XS-Python-Version: >= 2.5
 Homepage: http://www.reitwiessner.de/openmoko/evopedia.html
 
 Package: evopedia
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, dbus, python
-Suggests: pyton-location
+Depends: ${python:Depends}, ${misc:Depends}
+Suggests: tangogps | python-location
 XB-Python-Version: ${python:Versions}
-XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=evopedia
-Description: Offline Wikipedia Viewer.
+Description: Offline Wikipedia Viewer
  Evopedia uses compressed dumps of Wikipedia for offline use
  especially on embedded devices.
  .
  The geographical data in the articles is used to display a map of these
- articles. This map automagically uses your saved tiles from maep if you
- are offline and Openstreetmap tiles if you are online. The images on Wikipedia
- are not contained in the dump but if you are connected to the internet, they
- are nevertheless shown.
+ articles. This map automagically uses your saved tiles from maep or tangogpw
+ if you are offline and Openstreetmap tiles if you are online. The images on
+ Wikipedia are not contained in the dump but if you are connected to the
+ internet, they are nevertheless shown.
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=evopedia
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAQAAAD9CzEMAAAAAXNSR0IArs4c
  6QAACWJJREFUWMPt12twXdV1B/Dfvg9dSbYkS5aR5beReVp1DBRDGUxaSJik

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
export PATH
SBOX_REDIRECT_IGNORE:=/usr/bin/perl
SBOX_REDIRECT_IGNORE := /usr/bin/python
export SBOX_REDIRECT_IGNORE

%:
	dh $@

## evopedia 0.3.0-maemo1

=== debian/changelog ===
evopedia (0.3.0-maemo1) UNRELEASED; urgency=low

  * Support for languages with non-latin alphabet.

 -- Christian Reitwiessner <christian@exinto.de>  Thu, 08 Apr 2010 19:47:37 +0200

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,8 @@
  if you are offline and Openstreetmap tiles if you are online. The images on
  Wikipedia are not contained in the dump but if you are connected to the
  internet, they are nevertheless shown.
+ .
+ Changes for this version: Support for languages with non-latin alphabet.
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=evopedia
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAQAAAD9CzEMAAAAAXNSR0IArs4c

## evopedia 0.3.1

=== debian/changelog ===
evopedia (0.3.1) UNRELEASED; urgency=low

  * Title substring and regular expression search.

 -- Christian Reitwiessner <christian@exinto.de>  Sat, 10 Apr 2010 15:47:37 +0100

evopedia (0.3~rc3+1) UNRELEASED; urgency=low

  * Fixed version numbering
  * Merged packaging of Maemo and Debian proper

 -- Adam Schmalhofer <Adam.Schmalhofer@gmx.de>  Sat, 27 Feb 2010 14:57:38 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,8 @@
  Wikipedia are not contained in the dump but if you are connected to the
  internet, they are nevertheless shown.
  .
- Changes for this version: Support for languages with non-latin alphabet.
+ Changes for version 0.3.1: Title substring and regular expression search.
+ Changes for version 0.3.0: Support for languages with non-latin alphabet.
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=evopedia
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAQAAAD9CzEMAAAAAXNSR0IArs4c

## evopedia 0.3.1-maemo1

=== debian/changelog ===
evopedia (0.3.1-maemo1) UNRELEASED; urgency=low

  * Title substring and regular expression search.

 -- Christian Reitwiessner <christian@exinto.de>  Sat, 10 Apr 2010 15:47:37 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  especially on embedded devices.
  .
  The geographical data in the articles is used to display a map of these
- articles. This map automagically uses your saved tiles from maep or tangogpw
+ articles. This map automagically uses your saved tiles from maep or tangogps
  if you are offline and Openstreetmap tiles if you are online. The images on
  Wikipedia are not contained in the dump but if you are connected to the
  internet, they are nevertheless shown.

## evopedia 0.3.2

=== debian/changelog ===
evopedia (0.3.2) UNRELEASED; urgency=low

  * Support for more than one Wikipedia dump.

 -- Christian Reitwiessner <christian@exinto.de>  Sat, 8 May 2010 20:47:37 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper7, python-support, python-all, quilt
 Standards-Version: 3.8.4
 XS-Python-Version: >= 2.5
-Homepage: http://www.reitwiessner.de/openmoko/evopedia.html
+Homepage: http://www.evopedia.info
 
 Package: evopedia
 Architecture: all

## evopedia 0.3.2-maemo1

=== debian/changelog ===
evopedia (0.3.2-maemo1) UNRELEASED; urgency=low

  * Support for more than one Wikipedia dump.

 -- Christian Reitwiessner <christian@exinto.de>  Sat, 8 May 2010 20:47:37 +0100

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
  Wikipedia are not contained in the dump but if you are connected to the
  internet, they are nevertheless shown.
  .
+ Changes for version 0.3.2: Support for multiple Wikipedia dumps at the same time.
  Changes for version 0.3.1: Title substring and regular expression search.
  Changes for version 0.3.0: Support for languages with non-latin alphabet.
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=evopedia

## evopedia 0.3.2-maemo2

=== debian/changelog ===
evopedia (0.3.2-maemo2) UNRELEASED; urgency=low

  * Support for multiple Wikipedia dumps at the same time.

 -- Christian Reitwiessner <christian@exinto.de>  Sat, 8 May 2010 20:47:37 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper7, python-support, python-all, quilt
 Standards-Version: 3.8.4
 XS-Python-Version: >= 2.5
-Homepage: http://www.evopedia.info
+Homepage: http://www.reitwiessner.de/openmoko/evopedia.html
 
 Package: evopedia
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,8 @@
 SBOX_REDIRECT_IGNORE := /usr/bin/python
 export SBOX_REDIRECT_IGNORE
 
+override_dh_installdocs: ;
+
 %:
 	dh $@

## evopedia 0.3.2-maemo3

=== debian/changelog ===
evopedia (0.3.2-maemo3) UNRELEASED; urgency=low

  * Support for multiple Wikipedia dumps at the same time.

 -- Christian Reitwiessner <christian@exinto.de>  Sat, 8 May 2010 20:47:37 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: evopedia
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}
+Depends: python, python-dbus, python-xml
 Suggests: tangogps | python-location
 XB-Python-Version: ${python:Versions}
 Description: Offline Wikipedia Viewer

## evopedia 0.3.2-maemo4

=== debian/changelog ===
evopedia (0.3.2-maemo4) UNRELEASED; urgency=low

  * Support for multiple Wikipedia dumps at the same time.
  * Text input bugfix.

 -- Christian Reitwiessner <christian@exinto.de>  Wed, 9 Jun 2010 20:47:37 +0100

## evopedia 0.4.0

=== debian/changelog ===
evopedia (0.4.0) unstable; urgency=low

  * Reimplementation of evopedia using Qt

 -- Christian Reitwiessner <christian@evopedia.info>  Sun, 01 Aug 2010 00:34:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,24 @@
 Source: evopedia
 Section: user/education
 Priority: extra
-Maintainer: Adam Schmalhofer <Adam.Schmalhofer@gmx.de>
-Build-Depends: debhelper7, python-support, python-all, quilt
-Standards-Version: 3.8.4
-XS-Python-Version: >= 2.5
-Homepage: http://www.reitwiessner.de/openmoko/evopedia.html
+Maintainer: Christian Reitwiessner <christian@evopedia.info>
+Build-Depends: libqt4-dev, libbz2-dev, libx11-dev, debhelper (>= 4)
+Standards-Version: 3.8.3
+Homepage: http://evopedia.info
 
 Package: evopedia
-Architecture: all
-Depends: python, python-dbus, python-xml
-Suggests: tangogps | python-location
-XB-Python-Version: ${python:Versions}
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Offline Wikipedia Viewer
  Evopedia uses compressed dumps of Wikipedia for offline use
  especially on embedded devices.
  .
  The geographical data in the articles is used to display a map of these
- articles. This map automagically uses your saved tiles from maep or tangogps
- if you are offline and Openstreetmap tiles if you are online. The images on
- Wikipedia are not contained in the dump but if you are connected to the
- internet, they are nevertheless shown.
- .
- Changes for version 0.3.2: Support for multiple Wikipedia dumps at the same time.
- Changes for version 0.3.1: Title substring and regular expression search.
- Changes for version 0.3.0: Support for languages with non-latin alphabet.
+ articles. The images on Wikipedia are not contained in the dump but if you
+ are connected to the internet, they are nevertheless shown.
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=evopedia
+XB-Maemo-Upgrade-Description: Reimplementation of evopedia
+ using Qt.
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAQAAAD9CzEMAAAAAXNSR0IArs4c
  6QAACWJJREFUWMPt12twXdV1B/Dfvg9dSbYkS5aR5beReVp1DBRDGUxaSJik

## evopedia 0.4.1

=== debian/changelog ===
evopedia (0.4.1) unstable; urgency=low

  * network usage settings
  * map tiles are cached (sharing the folder of mappero)
  * bugfix for language links
  * German and French translation
  * bugfixes (closes: #10833, #11053, #11153)

 -- Christian Reitwiessner <christian@evopedia.info>  Sun, 21 Aug 2010 20:34:50 +0200

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,12 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Offline Wikipedia Viewer
  Evopedia uses compressed dumps of Wikipedia for offline use
- especially on embedded devices.
+ especially on mobile devices.
  .
  The geographical data in the articles is used to display a map of these
  articles. The images on Wikipedia are not contained in the dump but if you
  are connected to the internet, they are nevertheless shown.
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=evopedia
-XB-Maemo-Upgrade-Description: Reimplementation of evopedia
- using Qt.
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAQAAAD9CzEMAAAAAXNSR0IArs4c
  6QAACWJJREFUWMPt12twXdV1B/Dfvg9dSbYkS5aR5beReVp1DBRDGUxaSJik

## evopedia 0.4.2

=== debian/changelog ===
evopedia (0.4.2) unstable; urgency=low

  * integrated Bittorrent download manager
  * some improvements for the map
  * Spanish and Czech translations
  * bugfixes

 -- Christian Reitwiessner <christian@evopedia.info>  Wed, 17 Nov 2010 22:34:50 +0100

## evopedia 0.4.3

=== debian/changelog ===
evopedia (0.4.3) unstable; urgency=low

  * Catalan, Dutch and Japanese translations
  * added http-only interface

 -- Christian <christian@kronos>  Wed, 27 Apr 2011 22:04:41 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/education
 Priority: extra
 Maintainer: Christian Reitwiessner <christian@evopedia.info>
-Build-Depends: libqt4-dev, libbz2-dev, libx11-dev, debhelper (>= 4)
+Build-Depends: libqt4-dev, libbz2-dev, libx11-dev, libqtm-dev, debhelper (>= 4)
 Standards-Version: 3.8.3
 Homepage: http://evopedia.info

## evopedia 0.4.3-maemo1

=== debian/changelog ===
evopedia (0.4.3-maemo1) unstable; urgency=low

  * Catalan, Dutch and Japanese translations
  * added http-only interface

 -- Christian <christian@evopedia.info>  Wed, 27 Apr 2011 22:04:41 +0200

## evopedia 0.4.3-maemo2

=== debian/changelog ===
evopedia (0.4.3-maemo2) unstable; urgency=low

  * Catalan, Dutch, Japanese and Vietnamese translations
  * added http-only interface

 -- Christian <christian@evopedia.info>  Wed, 27 Apr 2011 22:04:41 +0200
